@import url('https://fonts.googleapis.com/css2?family=Noto+Sans:wght@300;800&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  list-style: none;
  text-decoration: none;
  outline: none;
}

body {
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 100vh;
  font-family: 'Noto Sans', sans-serif;
  overflow: hidden;
  background-color: black;
}

.img1 {
  background-image: url(./Sk8\ The\ Infinity.jpg);
}
.img2 {
  background-image: url(./Plunderer.jpg);
}
.img3 {
  background-image: url(./Nanatsu\ no\ Taizai.jpg);
}
.img4 {
  background-image: url(./Kimetsu\ no\ Yaiba.jpg);
}
.img5 {
  background-image: url(./Attack\ on\ Titan.jpg);
}

.container {
  display: flex;
  width: 60vw;
}

.painel {
  background-size: 640px 361px;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  height: 30vh;
  border-radius: 50px;
  color: #fff;
  cursor: pointer;
  flex: 2.1;
  margin: 5px;
  position: relative;
  transition: flex 0.3s ease-in;
}

.painel h3 {
  font-size: 24px;
  position: absolute;
  bottom: 20px;
  left: 20px;
  margin: 0;
  opacity: 0;
  text-shadow: 2px 2px 0 #4074b5, 2px -2px 0 #4074b5, -2px 2px 0 #4074b5,
    -2px -2px 0 #4074b5, 2px 0px 0 #4074b5, 0px 2px 0 #4074b5,
    -2px 0px 0 #4074b5, 0px -2px 0 #4074b5, 6px 3px 7px rgba(84, 131, 255, 0.92);
}

.painel.ativo {
  flex: 5;
}

.painel.ativo h3 {
  opacity: 1;
  transition: opacity 0.3s ease-in 0.4s;
}

@media (max-width: 480px) {
  .container {
    width: 100vw;
  }

  .painel:nth-of-type(4),
  .painel:nth-of-type(5) {
    display: none;
  }
}
